in scala.compat
object Platform

`object` Platform
  `extends` java.lang.Object
  `with` scala.ScalaObject

Constructor Summary
| `def` this

Type Summary
| `type` Class
| `type` ClassCastException
| `type` IndexOutOfBoundsException
| `type` RuntimeException
| `type` StackOverflowError

Def Summary
| `def` arraycopy (src: java.lang.Object, srcPos: scala.Int, dest: java.lang.Object, destPos: scala.Int, length: scala.Int) : scala.Unit
| `def` createArray (elemClass: java.lang.Class, length: scala.Int) : java.lang.Object create array of the same type as arrayInstance with the given length
| `def` currentThread : java.lang.Thread
| `def` getClass (obj: java.lang.Object) : java.lang.Class
| `def` getClassName (obj: java.lang.Object) : java.lang.String
| `def` getElementClass (obj: java.lang.Object) : java.lang.Class
| `def` getMessage (exc: java.lang.Throwable) : java.lang.String
| `def` getName (cls: java.lang.Class) : java.lang.String
| `def` isDigit (c: scala.Char) : scala.Boolean
| `def` parseByte (s: java.lang.String) : scala.Byte
| `def` parseDouble (s: java.lang.String) : scala.Double
| `def` parseFloat (s: java.lang.String) : scala.Float
| `def` parseInt (s: java.lang.String) : scala.Int
| `def` parseLong (s: java.lang.String) : scala.Long
| `def` parseShort (s: java.lang.String) : scala.Short
| `def` printStackTrace (exc: java.lang.Throwable) : scala.Unit
| `def` split (str: java.lang.String, separator: scala.Char) : scala.Array[java.lang.String]

Constructor Detail

`def` this

Type Detail

`type` Class

`type` ClassCastException

`type` IndexOutOfBoundsException

`type` RuntimeException

`type` StackOverflowError

Def Detail

`def` arraycopy (src: java.lang.Object, srcPos: scala.Int, dest: java.lang.Object, destPos: scala.Int, length: scala.Int): scala.Unit

`def` createArray (elemClass: java.lang.Class, length: scala.Int): java.lang.Object

  create array of the same type as arrayInstance with the given length

`def` currentThread : java.lang.Thread

`def` getClass (obj: java.lang.Object): java.lang.Class

`def` getClassName (obj: java.lang.Object): java.lang.String

`def` getElementClass (obj: java.lang.Object): java.lang.Class

`def` getMessage (exc: java.lang.Throwable): java.lang.String

`def` getName (cls: java.lang.Class): java.lang.String

`def` isDigit (c: scala.Char): scala.Boolean

`def` parseByte (s: java.lang.String): scala.Byte

`def` parseDouble (s: java.lang.String): scala.Double

`def` parseFloat (s: java.lang.String): scala.Float

`def` parseInt (s: java.lang.String): scala.Int

`def` parseLong (s: java.lang.String): scala.Long

`def` parseShort (s: java.lang.String): scala.Short

`def` printStackTrace (exc: java.lang.Throwable): scala.Unit

`def` split (str: java.lang.String, separator: scala.Char): scala.Array[java.lang.String]